Closed Bug 302167 Opened 18 years ago Closed 18 years ago

In EM, the "Update" button has been renamed to "Find Updates", and checks all items

Categories

(Firefox Graveyard :: Help Documentation, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED
Firefox1.5

People

(Reporter: steffen.wilberg, Assigned: steffen.wilberg)

References

()

Details

(Whiteboard: [affects l10n])

Attachments

(1 file)

Bug 296566 renamed the "Update" button to "Find Updates" in Extension/Theme
Manager. It's mentioned in customization.xhtml.

To install an update, you now have to click the "Update Now" button for the
respective extension:
http://www.bengoodger.com/software/mb/extensions/inline-update.png
Depends on: 296566
Target Milestone: --- → Firefox1.1
In fact when you click on "Find Updates" it looks for updates for the selected
extension only. It doesn't check for all extensions like it should.
(In reply to comment #1)
> In fact when you click on "Find Updates" it looks for updates for the selected
> extension only. It doesn't check for all extensions like it should.
> 
That's bug 300116 (Fixed now)

Summary: In EM, the "Update" button has been renamed to "Find Updates" → In EM, the "Update" button has been renamed to "Find Updates", and checks all items
Attached patch patch v1Splinter Review
I also mentioned the prefs for update checking, and removed the screenshots.
Assignee: nobody → steffen.wilberg
Status: NEW → ASSIGNED
Attachment #191120 - Flags: review?(jwalden+fxhelp)
Comment on attachment 191120 [details] [diff] [review]
patch v1

>+ this behaviour in the <a href="prefs.xhtml#advanced_update"><em>Update</em>

s/behaviour/behavior/

The spelling you're using there is en-UK, not en-US. ;-)

Other than that, everything looks okay assuming this is actually how it works. 
I don't install themes, and I don't have access to old themes with waiting
updates to test.
Attachment #191120 - Flags: review?(jwalden+fxhelp)
Attachment #191120 - Flags: review+
Attachment #191120 - Flags: approval1.8b4?
Whiteboard: [affects l10n]
Yeah, that's how it works now.

addons.mozilla.org offers previous versions of extensions and themes, e.g.
https://addons.mozilla.org/themes/moreinfo.php?id=166&page=releases
Try e.g. SphereGnome 1.0.9.5.
Attachment #191120 - Flags: approval1.8b4? → approval1.8b4+
Checked in, with s/behaviour/behavior/ in both places.
Status: ASSIGNED → RESOLVED
Closed: 18 years ago
Resolution: --- → FIXED
Product: Firefox → Firefox Graveyard
You need to log in before you can comment on or make changes to this bug.